Subject: bug#16587: 24.3.50; max-specpdl-size exceeded + crash with gnus (shr).

From: Stefan Monnier <[email-masked]>
Date: Fri, 31 Jan 2014 09:23:25 -0500

> Hm...  it looks like it should be possible to replace `shr-generic' with
> a macro, which should halve the number of stack frames.  I'll try doing
> that...

Using a defsubst should also halve the number, while preserving the
current semantics.

> Uhm.  When I try to print out the value returned from
> `libxml-parse-html-region', I get:
> Debugger entered--Lisp error: (error "Apparently circular structure being printed")
> So it's really inflooping?  There's no way that is misdetects a deeply
> nested structure?

This error message means the structure is deeper than some set maximum
(200, maybe?).  If you set `print-circle' to non-nil, then the printer
handles cycles just fine and IIRC it also disables this depth check.

        Stefan